#
# spec file for package vorbisgain
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2012 B1 Systems GmbH, Vohburg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           vorbisgain
Version:        0.34
Release:        28.1
Summary:        Calculate the Replay Gain for Ogg Vorbis files
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://sjeng.org/vorbisgain.html
Source0:        vorbisgain-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM vorbisgain_Makefile_tabs.patch marix@marix.org -- Fix indention of makefile
Patch0:         vorbisgain_Makefile_tabs.patch
BuildRequires:  dos2unix
BuildRequires:  libogg-devel
BuildRequires:  libvorbis-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Calculate the Replay Gain for Ogg Vorbis files

 VorbisGain is a utility that uses a psychoacoustic method to correct the volume of an Ogg Vorbis file to a predefined standardized loudness.
 It is meant as a replacement for the normalization that is commonly used before encoding. Although normalization will ensure that each song has the same peak volume, this unfortunately does not say anything about the apparent loudness of the music, with the end result being that many normalized files still don't sound equally loud. VorbisGain uses psychoacoustics to address this deficiency. Moreover, unlike normalization, it's a lossless procedure which works by adding tags to the file. Additionally, it will add hints that can be used to prevent clipping on playback. It is based upon the ReplayGain technology.
 The end result is that playback is both more convenient and of higher quality compared to a non-VorbisGain'ed file.

%prep
%setup -q
# workaround wrong end of line encoding in source-ball
dos2unix -f COPYING
%patch0 -p1

%build
CFLAGS="%{optflags}" ./configure --prefix=/usr --mandir=/usr/share/man --enable-recursive
make

%install
%make_install
install -d -m755 %{buildroot}%{_datadir}/doc/packages/vorbisgain
install -m644 README %{buildroot}%{_datadir}/doc/packages/vorbisgain
install -m644 COPYING %{buildroot}%{_datadir}/doc/packages/vorbisgain
install -m644 NEWS %{buildroot}%{_datadir}/doc/packages/vorbisgain

%clean
# clean up the hard disc after build
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/vorbisgain
%doc %{_mandir}/man1/vorbisgain.1.gz
%docdir %{_datadir}/doc/packages/vorbisgain
%{_datadir}/doc/packages/vorbisgain

%changelog
* Sat Oct 13 2012 seife+obs@b1-systems.com
- enable "--recursive" option
* Mon Aug  8 2011 marix@marix.org
- Updated license information to fix bnc 709981
* Mon Oct  4 2010 marix@marix.org
- Fixed build on Factory (post 11.3)
- Moved changelog to changes file
* Tue Jan 27 2009 marix@marix.org
- Fixed issues raised in review of submit-request #4320
  b) Build requires only contains devel smallest requires package set
  c) Debug information now contained in debug package
* Tue Dec  9 2008 marix@marix.org
- Fixed group tag
- Added RPM_OPT_FLAGS to CFLAGS so binaries are build with the proper flags (debug/no debug, stack protect etc.)
- Added fix for wrong end-of-line-encoding in COPYING file
- Added cleanup after build
- Added strip requirement to make install to shutup RPMLINT
* Tue Nov  4 2008 marix@marix.org
- Fixed packaging of documentation files
* Sun May 11 2008 marix@marix.org
- Initial package creation
